Generate a video
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
prompt: '<string>',
modelId: '<string>',
aspectRatio: '<string>',
conversationId: '<string>',
turnId: '<string>',
imageUrl: '<string>',
temporaryChat: true,
duration: 1
})
};
fetch('https://getoverlay.io/api/v1/generate-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
prompt: '<string>',
modelId: '<string>',
aspectRatio: '<string>',
conversationId: '<string>',
turnId: '<string>',
imageUrl: '<string>',
temporaryChat: true,
duration: 1
})
};
fetch('https://getoverlay.io/api/v1/generate-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/generate-video \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>",
"prompt": "<string>",
"modelId": "<string>",
"aspectRatio": "<string>",
"conversationId": "<string>",
"turnId": "<string>",
"imageUrl": "<string>",
"temporaryChat": true,
"duration": 1
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Media
Generate a video
POST
/
api
/
v1
/
generate-video
Generate a video
const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
prompt: '<string>',
modelId: '<string>',
aspectRatio: '<string>',
conversationId: '<string>',
turnId: '<string>',
imageUrl: '<string>',
temporaryChat: true,
duration: 1
})
};
fetch('https://getoverlay.io/api/v1/generate-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {cookie: 'overlay_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: '<string>',
userId: '<string>',
prompt: '<string>',
modelId: '<string>',
aspectRatio: '<string>',
conversationId: '<string>',
turnId: '<string>',
imageUrl: '<string>',
temporaryChat: true,
duration: 1
})
};
fetch('https://getoverlay.io/api/v1/generate-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://getoverlay.io/api/v1/generate-video \
--header 'Content-Type: application/json' \
--cookie overlay_session= \
--data '
{
"accessToken": "<string>",
"userId": "<string>",
"prompt": "<string>",
"modelId": "<string>",
"aspectRatio": "<string>",
"conversationId": "<string>",
"turnId": "<string>",
"imageUrl": "<string>",
"temporaryChat": true,
"duration": 1
}
'"<unknown>"{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
browserSessionbearerAuth
Signed httpOnly browser session cookie.
Body
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Required string length:
1 - 20Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
x > 0Available options:
text-to-video, image-to-video, reference-to-video, motion-control, video-editing Response
Successful response. Stable response schemas are documented in workflow guides when available.
Response shape is route-specific and may be backed by @overlay/app-core contracts.